(function($){$.fn.extend({limit:function(limit,element){var interval,f;var self=$(this);$(this).focus(function(){interval=window.setInterval(substring,100)});$(this).blur(function(){clearInterval(interval);substring()});substringFunction="function substring(){ var val = $(self).val();var length = val.length;if(length > limit){$(self).val($(self).val().substring(0,limit));}";if(typeof element!='undefined')substringFunction+="if($(element).html() != limit-length){$(element).html((limit-length<=0)?'0':limit-length);}";substringFunction+="}";eval(substringFunction);substring()}})})(jQuery);

$(document).ready(function() {
if(isempty($("#gbf #post")))$('#gbf #post').limit('5000','#charsLeft_new')

$('#gbf').submit(function() {
      
var cat = $('#gbf #cat').val();
//console.log(cat);
if (cat < 1) {alert("Вы не выбрали тему обращения");$('#gbf #cat').focus();return false;}                 

var author = $('#gbf #author').val();
if (author.length < 10) {alert("Вы не указали ваше ФИО");$('#gbf #author').focus();return false;}                 
      
                
var cat = $('#gbf #social').val();
console.log(cat);
if (cat < 1) {alert("Вы не выбрали Социальное положение");$('#gbf #social').focus();return false;}                 
                                           
var email = $('#email');              
var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
if (!filter.test(email.val())) {alert('Вы не указали ваш E-mail или указали его не правильно');$('#email').focus;return false;}                
                
var gbtext = $('#gbf textarea').val();if (gbtext.length < 20) {alert("Слишком маленькое сообщение");$('#gbf textarea').focus();return false;}                
                
if ($('#gbf #securecode').val() == '') {alert("Вы не указали защитный код");$('#gbf #securecode').focus();return false;}
               
var notice=$('#notice_check').prop('checked');
if (notice==false) {alert("Для отправки обращения Вы должны принять пользовательское соглашение");$('#gbf #notice_check').focus();return false;}     
                     
	});
});

